Constants (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template.utility, class: Constants

Package freemarker.template.utility

# Class Constants

java.lang.Object
freemarker.template.utility.Constants

public class Constants extends Object
Frequently used constant `TemplateModel` values.

These constants should be stored in the `TemplateModel` sub-interfaces, but for backward compatibility they are stored here instead. Starting from FreeMarker 2.4 they should be copied (not moved!) into the `TemplateModel` sub-interfaces, and this class should be marked as deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static TemplateCollectionModel`
  `EMPTY_COLLECTION`
  `static TemplateHashModelEx`
  `EMPTY_HASH`
  `static TemplateHashModelEx2`
  `EMPTY_HASH_EX2`
  `static TemplateModelIterator`
  `EMPTY_ITERATOR`
  `static TemplateHashModelEx2.KeyValuePairIterator`
  `EMPTY_KEY_VALUE_PAIR_ITERATOR`
  `static TemplateSequenceModel`
  `EMPTY_SEQUENCE`
  `static TemplateScalarModel`
  `EMPTY_STRING`
  `static TemplateBooleanModel`
  `FALSE`
  `static TemplateNumberModel`
  `MINUS_ONE`
  `static TemplateNumberModel`
  `ONE`
  `static TemplateBooleanModel`
  `TRUE`
  `static TemplateNumberModel`
  `ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRUE

    public static final TemplateBooleanModel TRUE

  - ### FALSE

    public static final TemplateBooleanModel FALSE

  - ### EMPTY_STRING

    public static final TemplateScalarModel EMPTY_STRING

  - ### ZERO

    public static final TemplateNumberModel ZERO

  - ### ONE

    public static final TemplateNumberModel ONE

  - ### MINUS_ONE

    public static final TemplateNumberModel MINUS_ONE

  - ### EMPTY_ITERATOR

    public static final TemplateModelIterator EMPTY_ITERATOR

  - ### EMPTY_COLLECTION

    public static final TemplateCollectionModel EMPTY_COLLECTION

  - ### EMPTY_SEQUENCE

    public static final TemplateSequenceModel EMPTY_SEQUENCE

  - ### EMPTY_HASH_EX2

    public static final TemplateHashModelEx2 EMPTY_HASH_EX2
    Since:
      2.3.30

  - ### EMPTY_HASH

    public static final TemplateHashModelEx EMPTY_HASH

  - ### EMPTY_KEY_VALUE_PAIR_ITERATOR

    public static final TemplateHashModelEx2.KeyValuePairIterator EMPTY_KEY_VALUE_PAIR_ITERATOR
    Since:
      2.3.27

- ## Constructor Details

  - ### Constants

    public Constants()